<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-sitemap"></i>                 
    </span>
    Categoria
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Categoria</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <button type="button" class="btn btn-dark btn-fw" (click)="openModal(ModalContent)">
    <i class="mdi mdi-plus-box"> Crear categoria</i>
  </button>
</div>
<!-- boton -->
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="title mb-sm-0">Listado de categorias</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Descripción</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let category of categories">
                <td>{{ category.nombre }}</td>
                <td>{{ category.descripcion }}</td>
                <td>
                  <button type="button" class="btn btn-danger btn-icon"
                    (click)="eliminarCategoria(category.id);" placement="bottom" ngbTooltip="Eliminar categoria">
                    <i class="mdi mdi-delete-forever"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-dark btn-icon"
                    (click)="editarCategoria(category); openModal(MCECategory)" placement="bottom" ngbTooltip="Editar categoria">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Modal crear categoria inicio -->
<ng-template class="modal fade" #ModalContent let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">
        <div class="card-body" [formGroup]="categoriaCreate">
          <h4 class="card-title">Crear categoria</h4>
          <p class="card-description">
            Ingrese los campos requeridos para la creación de la categoria
          </p>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese un nombre" #nombre
                style="background-color:dark" formControlName="nombre">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Descripción</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese una descripcion" #descripcion
                style="background-color:dark" formControlName="descripcion">
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="crearCategoria(categoriaCreate.value, modal)" [disabled]="this.categoriaCreate.invalid">Crear</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear categoria final -->

<!-- Editar inicio  -->
<ng-template class="modal fade" #MCECategory let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">
        <div class="card-body">
          <h4 class="card-title">Editar categoria</h4>
          <p class="card-description">
            Modifique los campos deseados para editar la cetegoria
          </p>
          <form class="forms-sample" #f="ngForm">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="nombre" name="nombre"
                [(ngModel)]="categoryModel.nombre" #nombre="ngModel" required>
            </div>
            <div class="form-group">
              <label for="exampleInputName2">Descripción</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="descripcion" name="descripcion"
                [(ngModel)]="categoryModel.descripcion" #descripcion="ngModel" required>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="guardarEdit(modal)" [disabled]="f.invalid">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>
<!-- Editar final -->
